@echo off
REM ABPRINT - Print Text-File Utility - (c)1993, AAB Enterprises, Inc.
rem 
rem This Batch-file should serve only as a guideline to creating additional
rem Batch-files. Do not modify this file, instead, use it to create another.
rem
rem Since the ABPRINT utility frequently requires more parameters than can
rem fit on the 128 character Command-line, ABPRINT has been provided with the
rem ability to accept parameters in four(4) different ways.
rem   i- from the COMMAND-LINE, when executing the ABPRINT utility.
rem  ii- from the ENVIRONMENT, set-up either during the boot process or
rem      during execution of a Batch-file which contains your frequently
rem      used parameters. Any environment variable beginning with 'ABP' is
rem      considered to contain parameters for the ABPRINT utility.
rem iii- from one or more INPUT-FILES. Using the /IFxx option, the ABPRINT
rem      utility can be instructed to read additional parameters from (an)
rem      input file(s).
rem  iv- from the KEYBOARD. When the /IFxx option specifies CON as the
rem      input file, the ABPRINT utility will prompt the user for additional
rem      command-line parameters which ABPRINT will continue accepting 
rem      until you enter a blank line. 
rem 
rem Parameters for the ABPRINT utility which are found in the environment are
rem appended to the beginning of the ABPRINT Command-line. Parameters for the 
rem ABPRINT utility which are input from a file or the keyboard via the /IF
rem option, will be placed in the ABPRINT Command-line at a position
rem corresponding to the /IF option.
rem 
rem Since ABPRINT does not care about the order of the parameters on the Command
rem line, the only restrictions to be aware of are that when any parameter is 
rem used more than once, the right-most occurence will over-ride any previous
rem occurence.
rem
rem *NB!* If commas are to be used in the Command-Line, do not use a Batch-file
rem       to start the ABPRINT utility. When DOS executes Batch-files, it
rem       translates any found commas in the parameters to spaces.
rem
rem *NB!* ANY non-Hexidecimal characters may be imbedded for legibility in the
rem       Hexidecimal control string parameters.
rem       (except spaces-' ' & slashes-'/', which delimit parameters).
rem
rem For Your Info, a breakdown of Printer Init String Follows...
rem *** EPSON LQ-510 ***    (for more info, see EPSLQ510.HEX)
rem 1B4D  =12cpi            (see Condensed)
rem 1B0F  =Condensed        (12cpi+Condensed=20cpi!)
rem 1B5300=Superscript      (Superscript=2/3 or 65% of character height)
rem                         (required for more than 8 Lines/Inch)
rem 1B2B1E=LineFeed=30/360" (ie, 11" x 360/30 = 132 Lines/Side)
rem                         (ie, 30/360"=1/12"= 12  Lines/Inch)
rem 1B7831=Letter-Quality   (for older ribbons)
rem 1B6B01=SansSerif        (for legibility)
rem 
rem *** NEC P2200 ***       (for more info, see NECP2200.HEX)
rem 1B4D  =12cpi
rem 1B0F  =Condensed
rem 1B5300=Superscript
rem 1B2B1E=LineFeed=30/360"      
rem 1B7831=Letter-Quality
rem 1B6B06=SuperFocus
rem
rem Disable ALL the following statements except that which corresponds to 
rem YOUR Printer.
rem 
rem EPSON LQ-510 24-Pin DMP 8"-Carriage
abprint.exe /ifEPSLQ510.abp %1 %2 %3 %4 %5 %6 %7 %8 %9
rem
rem NEC P2200    24-Pin DMP 8"-Carriage
rem abprint.exe /ifNECP2200.abp %1 %2 %3 %4 %5 %6 %7 %8 %9
